all:
	build run clean

build:
	docker build -f Dockerfile -t gaiax/api:latest .

run:
	if make clean; then \
		docker run -d -it -p 5000:5000 --name api-server gaiax/api:latest ; \
	else \
		docker run -d -it -p 5000:5000 --name api-server gaiax/api:latest ; \
	fi

clean:
	docker rm api-server